# FWDekker Template
The base template for pages on fwdekker.com.

This module contains templating functions (e.g. `header`, `footer`), CSS libraries, and some common utility methods that
are used on nearly all pages anyway.


## Development
### Requirements
* [npm](https://www.npmjs.com/)

### Setting up
```shell script
# Install dependencies (only needed once)
$> npm ci
```

### Building
```shell script
# Build the application in `build/` for development
$> npm run dev
# Build the application in `build/` for deployment
$> npm run deploy
```

### Publishing
```shell script
# Log in to npm
$> npm login
# Push to npm
$> npm publish --access public
```
