const path = require("path");

module.exports = {
    entry: "./src/main/js/Template.js",
    module: {
        rules: [
            {
                test: /\.js$/i,
                exclude: /node_modules/,
            },
            {
                test: /\.css$/i,
                use: ["style-loader", "css-loader"],
            },
        ],
    },
    resolve: {
        extensions: [".js", ".css"],
    },
    output: {
        library: "fwdekker-template",
        libraryTarget: "umd",
        filename: "index.js",
        path: path.resolve(__dirname, "dist"),
    }
};
